Bug 1124824 - [abrt] evince: _cairo_scaled_glyph_page_destroy(): evince-thumbnailer killed by SIGABRT
Summary: [abrt] evince: _cairo_scaled_glyph_page_destroy(): evince-thumbnailer killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6b4030a515559d7feb977f4404f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 12:10 UTC by Frank Crawford
Modified: 2015-06-29 21:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:17 UTC


Attachments (Terms of Use)
File: backtrace (29.88 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: cgroup (171 bytes, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: core_backtrace (10.18 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: dso_list (7.45 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: environ (1.83 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: maps (35.70 KB, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: open_fds (544 bytes, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details
File: var_log_messages (401 bytes, text/plain)
2014-07-30 12:10 UTC, Frank Crawford
no flags Details

Description Frank Crawford 2014-07-30 12:10:28 UTC
Version-Release number of selected component:
evince-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince-thumbnailer -s 256 file:///net/bits/home/frank/Solid_State_Physics.pdf /tmp/.gnome_desktop_thumbnail.A2K7IX
crash_function: _cairo_scaled_glyph_page_destroy
executable:     /usr/bin/evince-thumbnailer
kernel:         3.15.5
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _cairo_scaled_glyph_page_destroy at cairo-scaled-font.c:459
 #5 _cairo_scaled_font_free_last_glyph at cairo-scaled-font.c:2912
 #6 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:2993
 #7 _cairo_scaled_font_glyph_path at cairo-scaled-font.c:2647
 #8 _cairo_gstate_glyph_path at cairo-gstate.c:2090
 #9 cairo_glyph_path at cairo.c:3550
 #10 CairoOutputDev::endString at CairoOutputDev.cc:1297
 #11 Gfx::doShowText at Gfx.cc:4045
 #12 Gfx::opShowText at Gfx.cc:3746
 #13 Gfx::go at Gfx.cc:712

Comment 1 Frank Crawford 2014-07-30 12:10:31 UTC
Created attachment 922532 [details]
File: backtrace

Comment 2 Frank Crawford 2014-07-30 12:10:33 UTC
Created attachment 922533 [details]
File: cgroup

Comment 3 Frank Crawford 2014-07-30 12:10:34 UTC
Created attachment 922534 [details]
File: core_backtrace

Comment 4 Frank Crawford 2014-07-30 12:10:36 UTC
Created attachment 922535 [details]
File: dso_list

Comment 5 Frank Crawford 2014-07-30 12:10:37 UTC
Created attachment 922536 [details]
File: environ

Comment 6 Frank Crawford 2014-07-30 12:10:39 UTC
Created attachment 922537 [details]
File: limits

Comment 7 Frank Crawford 2014-07-30 12:10:40 UTC
Created attachment 922538 [details]
File: maps

Comment 8 Frank Crawford 2014-07-30 12:10:42 UTC
Created attachment 922539 [details]
File: open_fds

Comment 9 Frank Crawford 2014-07-30 12:10:43 UTC
Created attachment 922540 [details]
File: proc_pid_status

Comment 10 Frank Crawford 2014-07-30 12:10:44 UTC
Created attachment 922541 [details]
File: var_log_messages

Comment 11 Toto 2015-04-09 13:37:24 UTC
Another user experienced a similar problem:

One specific datasheet PDF crashes the application. Sometime I see a glimpse of one of the pages before the application disappears.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince /home/tom/Electronics/1.=Datasheets/SwitchModePowerSupply/ST/ST_L6565_SMPS.pdf
crash_function: _cairo_scaled_glyph_page_destroy
executable:     /usr/bin/evince
kernel:         3.18.7-100.fc20.x86_64
package:        evince-3.10.3-2.fc20
reason:         evince killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1002

Comment 12 Fedora End Of Life 2015-05-29 12:31:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:51:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.